Bug 244039 - ports-mgmt/portlint: Recommend to set INSTALLS_ICONS only when USES=gnome is set
Summary: ports-mgmt/portlint: Recommend to set INSTALLS_ICONS only when USES=gnome is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-11 09:01 UTC by Mateusz Piotrowski
Modified: 2020-03-02 22:24 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
portlint diff (543 bytes, patch)
2020-02-11 09:01 UTC, Mateusz Piotrowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2020-02-11 09:01:45 UTC
Created attachment 211554 [details]
portlint diff

At the moment portlint complains that INSTALLS_ICONS should be set when a port installs icons. It is not always desired, however. INSTALLS_ICONS is only effective when USES=gnome is set which is not always the case.

The attached patch modifies the portlint behavior to only recommend setting INSTALLS_ICONS when icons are being installed and USES=gnome is set.
Comment 1 Automation User 2020-02-26 00:06:17 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/121031933
Comment 2 Joe Marcus Clarke freebsd_committer 2020-03-02 22:24:45 UTC
Committed to 2.18.11.  Thanks.